using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations.DisciplineDb
{
    /// <inheritdoc />
    public partial class updatetabledisciplineaddroot1 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "PositionLevel",
                table: "DisciplineReport_Profiles");

            migrationBuilder.DropColumn(
                name: "PositionLevel",
                table: "DisciplineInvestigate_ProfileComplaints");

            migrationBuilder.DropColumn(
                name: "PositionLevel",
                table: "DisciplineDisciplinary_ProfileComplaintInvestigates");

            migrationBuilder.DropColumn(
                name: "PositionLevel",
                table: "DisciplineComplaint_Profiles");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "PositionLevel",
                table: "DisciplineReport_Profiles",
                type: "longtext",
                nullable: true,
                comment: "ระดับ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PositionLevel",
                table: "DisciplineInvestigate_ProfileComplaints",
                type: "longtext",
                nullable: true,
                comment: "ระดับ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PositionLevel",
                table: "DisciplineDisciplinary_ProfileComplaintInvestigates",
                type: "longtext",
                nullable: true,
                comment: "ระดับ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PositionLevel",
                table: "DisciplineComplaint_Profiles",
                type: "longtext",
                nullable: true,
                comment: "ระดับ")
                .Annotation("MySql:CharSet", "utf8mb4");
        }
    }
}
